/*
  VisualHash - A Visual Hash Calculator
  Copyright (C) 2005 Dominik Reichl <oss@dominik-reichl.de>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

using System;
using System.IO;
using System.Reflection;
using System.Diagnostics;

namespace VisualHash
{
	public class WinUtil
	{
		public WinUtil()
		{
		}

		public static void OpenAppHelp(string strHelpFileName, string strTopicFile)
		{
			string strExec = "\"ms-its:";
			string strBaseExe = Assembly.GetExecutingAssembly().Location;
			string strBasePath = Path.GetDirectoryName(strBaseExe);

			strExec += strBasePath.Replace('\\', '/');
			strExec += "/" + strHelpFileName + "::/" + strTopicFile + "\"";

			Process.Start("hh.exe", strExec);
		}
	}
}
